Cyberduck Mountain Duck CLI

#2104 closed enhancement (duplicate)

use a proxy

Reported by: trent@… Owned by: dkocher
Priority: normal Milestone:
Component: core Version: 3.0.1
Severity: normal Keywords:
Cc: xurizaemon@… Architecture:
Platform:

Description

Hi,

I think it would be really nice if you supported using a proxy for the connection. OpenSSH has proxy support. Basically, the proxy support that OpenSSH has, is that you can specify a command line tool that will work as a proxy. The proxy tool is supposed to take stdin/stdout and just pipe it through. So, then you can download an HTTP proxy tool that will proxy through HTTP to get to internal servers on your network, without anyone knowing that they are even available, because they are not exposed.

Change History (5)

comment:1 Changed on May 19, 2008 at 9:28:41 AM by dkocher

  • Milestone 3.1 deleted
  • Resolution set to worksforme
  • Status changed from new to closed

Set a SOCKS proxy in the System Network Preferences.

comment:2 Changed on May 19, 2008 at 4:47:11 PM by trent@…

  • Resolution worksforme deleted
  • Status changed from closed to reopened

That isn't what I was thinking. Mainly because that would change the proxy for the entire system, not just Cyberduck. I was thinking more along the lines of a proxy ONLY for ssh connections, like OpenSSH does.

For one thing, the proxy for me is an HTTP proxy. That proxy ONLY allows proxying of SSH connections to the internal network, not other external hosts.

For example... Apparently, there is no need for a DNS record for any server you want to connect to. You can just have an '/etc/hosts' entry on the proxy server. So, any "ssh" connections to a host on somedomain.ca, or proxydomain.ca, will get run through the "proxytunnel" command, which happens to proxy through apache at sshproxy.proxydomain.ca:80.

My ~/.ssh/config

Host *.somedomain.ca

DynamicForward 1080 ProxyCommand proxytunnel -v -p sshproxy.proxydomain.ca:80 -d %h:%p -H "User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Win32)\n" ServerAliveInterval 30

Host *.proxydomain.ca

DynamicForward 1080 ProxyCommand proxytunnel -v -p sshproxy.proxydomain.ca:80 -d %h:%p -H "User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Win32)\n" ServerAliveInterval 30

comment:3 Changed on May 19, 2008 at 4:48:23 PM by trent@…

Oops, sorry, the new lines didn't get put in properly.

comment:4 Changed on Jul 21, 2008 at 10:20:58 PM by dkocher

  • Resolution set to duplicate
  • Status changed from reopened to closed

#76.

comment:5 Changed on Jan 10, 2010 at 9:01:16 PM by xurizaemon

  • Cc xurizaemon@… added

#76 is an HTTP proxy, which works if the proxy is at the client (CyberDuck) side. However, SSH ProxyCommand is for remote proxies, eg where you have a server contactable only via a SSH host.

#2865 is a more relevant ticket for those looking for SSH ProxyCommand support.

Note: See TracTickets for help on using tickets.
swiss made software